/*
Theme Name: exkaito child
Version: 1.0
Template: exkaito
*/

#wrapper{
    overflow: hidden;
}

body, html {
    margin: 0;
    padding: 0;
    font-family: 'Noto Sans JP','Hiragino Kaku Gothic ProN', 'ヒラギノ角ゴ ProN W3', Meiryo, メイリオ, Osaka, 'MS PGothic', arial, helvetica, sans-serif;
    letter-spacing: 0.2em;
    -webkit-font-smoothing: antialiased;
    -webkit-text-size-adjust: 100%;
    font-feature-settings: "palt";
    line-height:1.5;
    background-color: #fff;
    color: #1c1c1c;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

img{
    width: 100%;
}

p,a {
    line-height:2;
    margin: 0;
}

a,a:hover,a:visited{
    color: inherit;
    text-decoration: none;
}

h1,h4,h5,ul,li{
    margin:0;
    padding:0;
}

h2 {
    margin:0 0 10px 0;
    font-size: 2.5em;
}

h3 {
    margin-top: -10px;
    margin-bottom: 10px;
    font-size: 1em;
}

.marker{
    background:linear-gradient(transparent 60%, #ff6 60%);
}

.red{
    color:#d71718;
}

.white{
    color:#ffffff;
}

:root {
    --base-color: #fff;
    --accent-color:#d71718;
}

.parts-black {
    --parts-color: #000;
}

.parts-white{
    --parts-color: #fff; 
}

.btn {
    border: none;
    display: inline-block;
    text-align: center;
    cursor: pointer;
    text-transform: uppercase;
    outline: none;
    overflow: hidden;
    position: relative;
    color: #fff !important;
    font-weight: 700;
    font-size: 15px;
    background-color: #222;
    padding: 17px 60px;
    margin: 0 auto;
    box-shadow: 0 5px 15px rgba(0,0,0,0.20);
  }
  
  .btn span {
    position: relative; 
    z-index: 1;
  }

  .btn:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    height: 490%;
    width: 140%;
    background: var(--accent-color);
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
    -webkit-transform: translateX(-98%) translateY(-25%) rotate(45deg);
    transform: translateX(-98%) translateY(-25%) rotate(45deg);
  }
  
  .btn:hover:after {
    -webkit-transform: translateX(-9%) translateY(-25%) rotate(45deg);
    transform: translateX(-9%) translateY(-25%) rotate(45deg);
  }

.separator {
    width: 50px;
    height: 2px;
    background-color: var(--parts-color);
    margin: 30px 0;
    display: inline-block;
}

.padding-ad{
    padding:150px 0;
}

.sp-only{
    display: none;
}

.pc-only{
    display: block;
}

/* アニメーションの定義 */

@keyframes fade {
    from {
        opacity: 1;
    }
    to {
        opacity: 0.6;
    }
}

/**Slick Arrow*/

.slick-prev {
    left: 5px !important;
}

.slick-next {
    right: 5px !important;
}

/*矢印の色を変更*/

.slick-prev:before,
.slick-next:before {
    color: #ffffff !important;
}

/*下に潜っているかもしれない画像の上に矢印を持ってくる*/
.slick-prev,
.slick-next {
    z-index: 100;
}

@media (max-width: 768px) {

    .sp-only{
        display: block;
    }

    .pc-only{
        display: none;
    }

    .padding-ad{
        padding:50px 0;
    }

}


/* ヘッダーとナビゲーション */
header {
    display: flex;
    position: fixed;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    background-color: #fff;
    color:#000;
    z-index: 9999;
    height:80px;
}

header > :first-child{
    margin-right: auto;
}

/* logo */

.logo{
    max-width: 190px;
    padding:0 20px;
    height: 100%;
    display: flex; /* フレックスボックスを適用 */
    align-items: center; /* 縦中央揃え */
}

.logo img{
    width: 100%;
}

.logo h1{
    font-size:0.6em;
    margin:0;
    text-align: center;
    white-space: nowrap;
}

.menu-toggle {
    display: none; /* デフォルトでは非表示 */
}

.menu{
    display: none;
}

.pc-nav{
    height: 100%;
}

.pc-nav ul{
    display: flex;
    list-style: none;
    align-items: center;
    height: 100%;
}

.pc-nav ul li{
    margin:0;
    padding:0 20px;
    height: 100%;
    display: flex; 
    align-items: center;
}

.pc-nav ul li a{
    font-weight: 600;
    text-decoration: none;
    position: relative;
}

.pc-nav ul li a::after {
    position: absolute;
    content: "";
    display: block;
    width: 100%;
    height: 3px;
    background-color: var(--accent-color);
    bottom: -15px;
    left: 0;
    /*横方向0で非表示にする*/
    -webkit-transform: scale(0, 1);
    transform: scale(0, 1);
    /*中央を基点にアニメーション*/
    -webkit-transform-origin: center top;
    transform-origin: center top;
    /*アニメーションの速度設定*/
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
  }
  .pc-nav ul li a:hover::after {
    /*横方向等倍まで拡大*/
    transform: scale(1, 1);
  }

  .gnavi-recruit{
    background-color: var(--accent-color);
    color:#fff;
  }


.gnavi-recruit a {
    color: #fff;
    padding: 0 10px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.gnavi-recruit a::after {
    display: none !important;
}

@media (max-width: 1024px) {

    .pc-nav{
        display: none;
    }

    .mobile-nav{
        padding-right:20px;
    }

    .menu {
        display: block;
        position: absolute;
        left: 0;
        top:0;
        width: 100%;
        list-style: none;
        margin:0;
        padding-top:88px;
        transform: translateX(100%);
        transition: transform 0.5s ease, opacity 0.5s ease; /* アニメーション適用 */
        z-index: 100;
        background-color: #fff;
        color: #000;
        visibility: hidden; /* 初期状態では見えない */
        opacity: 0; /* 初期状態では透明 */
        max-height: calc(100vh - 88px); /* ビューポートの高さからパディングを引いた値を最大高さに設定 */
        overflow-y: auto; /* 縦スクロールを有効にする */
    }

            /* Webkitベースのブラウザ用 */
        .menu::-webkit-scrollbar {
            width: 8px; /* スクロールバーの幅 */
        }

        .menu::-webkit-scrollbar-thumb {
            background-color: var(--accent-color); /* スクロールバーの色 */
            border-radius: 10px; /* スクロールバーの角を丸くする */
        }

        /* Firefox用 */
        .menu {
            scrollbar-width: thin; /* スクロールバーの幅 */
            scrollbar-color: var(--accent-color) transparent; /* スクロールバーの色 */
        }

    
    .menu.is-active {
        transform: translateX(0); /* スムースに下りてくるアニメーション */
        visibility: visible; /* 表示状態に */
        opacity: 1; /* 不透明に */
    }
    
    .menu .sp-gnav a{
        text-decoration: none;
        padding:20px 15px;
        display: block;
        font-size:1.1em;
        font-weight: 600;
        text-align: center;
        border-bottom:1px dotted #bbb;
    }

    .menu .sp-gnav a span{
        display:block;
        font-size:0.7em;
        color:var(--accent-color)
    }

    .sp-menu-recruit{
        max-width: 380px;
        width: 80%;
        margin:auto;
        padding:20px 0;
        box-sizing: border-box;
    }

    .sp-menu-bottom{
        width: 100%;
        background-color:#222;
        color:#fff;
        padding:20px 0;
        font-size:0.8em;
        text-align: center;
    }
    
    .menu-toggle {
        cursor: pointer;
        height: 24px; /* ボタンのサイズを調整 */
        width: 30px; /* ボタンのサイズを調整 */
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        background: none; /* ボタンの背景色を透明にする */
        border: none; /* ボタンの境界線を削除 */
        padding: 0; /* パディングをリセット */
        margin: 0; /* マージンをリセット */
        outline: none; /* フォーカス時のアウトラインを削除 */
        z-index: 9999;
    }
    
    .burger {
        content: '';
        background-color: var(--accent-color); /* ラインの色 */
        height: 4px; /* ラインの厚さ */
        width: 30px; /* ラインの長さ */
        position: relative; /* 中央のラインに対する変更 */
        /*top: 50%;  親要素内で垂直中央に配置 */
        transform: translateY(-50%); /* 自身の高さの半分だけ上に移動して完全に中央に来るように調整 */
        transition: all 0.3s ease;
    }
    
    .burger::before, .burger::after {
        content: '';
        background-color: var(--accent-color); /* ラインの色 */
        height: 4px; /* ラインの厚さ */
        width: 30px; /* ラインの長さ */
        position: absolute; /* 絶対位置指定 */
        left: 0; /* 左端から配置 */
    }
    
    .burger::before {
        top: -10px; /* 上のラインの位置 */
        transition: all 0.3s ease;
    }
    
    .burger::after {
        top: 10px; /* 下のラインの位置 */
        transition: all 0.3s ease;
    }
    
    .menu-toggle.is-active .burger {
        background-color: transparent; /* アクティブ時は中央のラインを非表示 */
    }
    
    .menu-toggle.is-active .burger::before, .menu-toggle.is-active .burger::after {
        top: 0;
        transform: translateY(-50%) rotate(45deg); /* 上のラインを45度回転 */
    }
    
    .menu-toggle.is-active .burger::after {
        transform: translateY(-50%) rotate(-45deg); /* 下のラインを-45度回転 */
    }

}


/* hero section*/

#main-visual{
    position: relative;
}

.catch{
    height: 100vh;
    width: 100%;
    padding:0 100px;
    position: absolute;
    display: flex;
    align-items: center;
    z-index: 99;
    color:#fff;
    box-sizing: border-box;
}


.catch-inner h1{
    font-size: 3.5rem;
}

.catch-inner p{
    font-size:1.5rem;
}

.hero-image {
    color: white;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding:15px;
}


@media (max-width: 767px) {

    .catch{
        padding:0 30px;
    }

    .catch-inner h1{
        font-size: 2rem;
    }
    
    .catch-inner p{
        font-size:1rem;
    }

}

/* news section */

#news-carousel {
    position: absolute;
    bottom: 0px;
    right: 0px;
    max-width: 980px; /* 調整可能 */
    width: 100%;
    box-sizing: border-box;
    background: rgba(255, 255, 255, 0.9);
    color: #000;
    padding: 10px 20px;
    display: flex;
    border-top-left-radius: 5px;
}

.news-header {
    flex: 0 0 auto;
    margin-right: 10px;
    display: flex;
    align-items: center;
}
.news-header h2 {
    margin: 0;
    font-size: 18px;
}
.news-header .divider {
    margin-left: 10px;
    margin-right: 10px;
    border-left: 1px solid #000;
    height: 24px;
}
.news-content {
    flex: 1;
    overflow: hidden;
}
.news-content .item {
    text-align: left;
}
.news-content .item a {
    color: #000;
    text-decoration: none;
}
.news-content .item .date, .news-content .item .category {
    font-size: 12px;
    margin-right: 5px;
}
.news-content .item .title {
    font-size: 16px;
}

@media (max-width: 767px) {

    #news-carousel {
        border-top-left-radius: 0px;
    }
    

}

/* philosophy section */

#philosophy{
    width: 100%;
    background-color: #fff;
    color: #000;
    position: relative;
    overflow: hidden;
}

.philosophy-bg-img{
    position: absolute;
    max-width: 980px;
    width: 60%;
    bottom:0;
    right: 0;
    line-height: 0;
}

.philosophy-bg-red{
    position: absolute;
    max-width: 575px;
    height: 0;
    border-bottom: 200px solid transparent;
    border-left: 200px solid #d71718;
    top: 0;
    left: 0;
    z-index: 0;
}

.philosophy-wrapper{
    width: 80%;
    max-width: 980px;
    margin: auto;
    position: relative;
    z-index: 1;
}

.philosophy-img{
    width: 40%;
    position: absolute;
    right:-5%;
    top:-15%;
}

.philosophy-content{
    width: 60%;
    max-width:490px;
    margin:30px 0;
    text-align: left;
}

.philosophy-content h2{
    display: inline-block;
    position: relative;
    font-weight: 900;
    color:var(--accent-color)
}

.philosophy-content h2:before{
    content:"exKaito Co.Ltd.,";
    display: inline-block;
    position: absolute;
    line-height:1;
    z-index: -1;
    font-size:3em;
    color:rgba(175, 175, 175, 0.2);
    top:-110px;
}

@media (max-width: 1023px) {

    .philosophy-bg-img{
        position: absolute;
        width: 100%;
        height: auto;
        top:auto;
        bottom: 0;
        right: 0;
    }
    
    .philosophy-wrapper{
        width: 80%;
        max-width: 980px;
        margin: auto;
        position: relative;
        z-index: 1;
        display: flex;
        flex-direction: column;
    }

    
    .philosophy-img{
        width: 100%;
        max-width: 490px;
        margin: auto;
        position: static;
    }

    .philosophy-content{
        width: 100%;
        max-width:490px;
        margin:50px auto 0 auto;
        text-align: left;
    }

}

@media (max-width: 768px) {

    .philosophy-content h2:before{
        font-size:2.5em;
        top:-60px;
        left: 50%;
        transform: translateX(-50%);
        -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
    }

}

/* about section */

.about-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 1fr;
    width: 100%;
    gap: 0; 
    position: relative;
}

.about-item-left,
.about-item-right {
    position: relative;
    width: 100%;
    padding-top: 100%; 
    background-size: cover;
    background-position: center;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
}

.about-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    text-align: center;
    padding: 20px;
    width: 100%;
    box-sizing: border-box;
}

.about-content p {
    margin-bottom: 20px;
    font-size: 1em;
}

@media (max-width: 767px) {

       
    .about-container {
        grid-template-columns: 1fr; 
        grid-auto-rows: auto; 
        height:auto;
    }

    
}

/* works&recruit共通 */

.works-recruit-wrapper{
    position: relative;
    z-index: 1;
}

.works-recruit-bg-layer {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none; /* 背景をクリックできないように */

}

.red-bg-01 {
    position: absolute;
    top: 0;
    right: 10%;
    width: 10%;
    height: 100%;
    background-color: rgba(210, 43, 43, 0.8);
    transform: skewX(10deg);
    transform-origin: top left;
    z-index: -2;
    mix-blend-mode: multiply;
}

.red-bg-02 {
    position: absolute;
    z-index: -2;
    width: 15%;
    left:0;
    height: 100%;
    background-color: rgba(203, 18, 18, 0.8);
    transform: skewX(-20deg);
    transform-origin: top left;
    mix-blend-mode: multiply;
}

.red-bg-03 {
    position: absolute;
    z-index: -1;
    width: 5%;
    right:0;
    height: 100%;
    background-color: rgba(203, 18, 18, 0.9);
    transform: skewX(-30deg);
    transform-origin: top left;
    mix-blend-mode: multiply;
}

.photo-bg {
    position: absolute;
    top: 0;
    right: 0%;
    width: 100%;
    height: 100%;
    background: url(../exkaito/assets/img/ashiba_silhouette.png);
    background-size: cover;
    opacity: 0.2;
    z-index: -3;
}


/* works section */

#works{
    width: 100%;
    background-position: center;
    position: relative;
    z-index: 3;
}

.works-area{
    width: 80%;
    margin-right:0;
    margin-left:auto;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 3;
}

.works-txt{
    text-align: left;
    margin-bottom:30px;
    width: 30%;
    padding:20px;
    box-sizing: border-box;
}

.works-img-wrapper{
    width:70%;
}

.works-slider{
    width: 100%;
}

.works-slider img{
    padding: 5px;
}

.btn-container {
    margin-top:30px;
}

@media (max-width: 1024px) {

    .works-area{
        width: 90%;
        flex-direction: column;
        margin:auto;
    }

    .works-img-wrapper{
        width: 100%;
    }
    
    .works-slider{
        width: 100%;
    }

    .works-txt{
        width: 100%;
    }

}

@media (max-width: 768px) {

       
    .works-area{
        width: 100%;

    }

    .works-txt{
        text-align: center;
        width: 100%;
    }

    .works-img-wrapper{
        width:90%;
    }

    .works-slider{
        width: 100%;
    }

    .btn-container {
        justify-content: center;
    }
    
    
}

/* recruit section */

#recruit{
    position: relative;
    z-index: 3;
    padding:0 0 150px 0;
}

.recruit-bnn{
    width: 90%;
    max-width: 980px;
    margin: auto;
    display: flex;
    align-items: center;
    line-height:0;
    box-shadow:0 0 50px 0 #bbbbbb;
    background-color: #fff;
    align-items: stretch;
}

.recruit-img{
    width: 45%;
    height: auto; /* 高さを自動調整 */
    min-height: 100%; /* 最低でも親要素の高さを持つ */
    background-image: url(../exkaito/assets/img/recruit-02.webp);
    background-size: cover;
    background-position: center;
    flex-grow: 1;
}

.recruit-txt{
    width: 55%;
    text-align: center;
    line-height:1.5;
    padding:30px;
    box-sizing: border-box;
    flex-grow: 1;
}

@media (max-width: 768px) {

    #recruit{
        padding:100px 0 50px 0;
    }
    



    .recruit-txt{
        width: 100%;
    }
    
}

@media (max-width: 540px) {

    .recruit-bnn{
        flex-direction: column;
    }

    .recruit-img {
        width: 100%;
        padding-bottom: 100%; /* 正方形にするための高さ調整 */
        height: 0;
    }


}

/* visual section */

#visual{
    width: 100%;
    padding:150px 0;
}

.parallax{
    height: auto;
    background:url(../exkaito/assets/img/sample.jpg);
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
}


/* contact section */

#contact{
    background:url(../exkaito/assets/img/contact-bg.webp);
    background-size: cover;
    background-position: center;
    color:#fff;
    text-align: center;
    position: relative;
}

.contact-wrapper{
    width: 90%;
    max-width: 980px;
    margin:auto;
}

.contact-content{
    display: flex;
    align-items: top;
    justify-content: center;
    width: 100%;
    max-width: 980px;
    margin:30px auto 0 auto;
    position: relative;
}

.contact-tel{
    width:50%;
    position: relative;
}

a.tel{
    position: relative;
    font-weight:900;
    font-size: 2em;
    line-height: 1;
}

a.tel:before{
    content:"";
    background: url(../exkaito/assets/img/tel-icon.svg);
    display: block;
    position: absolute;
    height:25px;
    width:25px;
    left:-35px;
    top:13px;
}

.contact-tel:before{
    background-color: #fff;
    bottom: 0;
    content: "";
    height: 85%;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 1px;
    z-index: 2;
}

.hours{
    border: 1px solid #fff;
    font-size:0.7em;
    padding:5px 10px;
    display: inline-block;
    margin-top:10px;
}

.contact-mail{
    width:50%;
}

a.mail{
    display: inline-block;
    font-weight:900;
    font-size: 1.3em;
    line-height: 1;
    border: 1px solid #fff;
    padding:15px 30px 15px 75px;
    margin-top:10px;
    position: relative;
}

a.mail:before{
    content:"";
    background: url(../exkaito/assets/img/mail-icon.svg);
    display: block;
    position: absolute;
    height:25px;
    width:25px;
    left:30px;
    top:14px;
}

@media (max-width: 768px) {

    .contact-content{
        flex-direction: column;
    }

    .contact-tel,.contact-mail{
        width:100%;
        padding:30px 0;
        box-sizing: border-box;
    }

    .contact-tel{
        border-bottom:1px solid #fff;
    }

    .contact-tel:before{
        display: none;
    }
    
}

/** フッターセクション **/

footer{
    width:100%;
    background-color: rgba(203, 18, 18, 0.9);
    padding:50px 0 50px 0;
    color:#fff;
}

.footer-wrapper{
    width: 100%;
    max-width: 980px;
    margin:auto;
}

.footer-company{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items:end;
    text-align: center;
}

.footer-logo{
    max-width: 780px;
}

.footer-add{
    display: flex;
    text-align: left;
    justify-content: center;
    align-items: center;
    margin:15px 0;
}

.footer-add p{
    margin:10px 15px 20px 15px;
    position: relative; 
}

.footer-add p:first-of-type:after {
    content: "";
    position: absolute;
    right: -14px; /* Adjust based on the margin and width of the separator */
    top: 0;
    bottom: 0;
    width: 1px;
    background-color: white;
}

.footer-logo p{
    font-size: 0.8em;
    line-height: 1.8;

}

.footer-logo img{
    max-width: 190px;
    margin:0 auto 10px auto;
}


.footer-nav{
    width:100%;
    margin:auto;
}

.footer-nav ul{
    width: 100%;
    list-style: none;
    padding:0;
    margin:0;
    display: flex;
    justify-content:center;
}

.footer-nav ul li{
    font-size:0.7em;
    padding:0 30px;
}
/*
.footer-nav ul li:last-child{
    border-left:1px solid #fff;
}
*/
.copylight{
    background-color: #262626;
    color:#fff;
    text-align: center;
}

@media (max-width: 768px) {
    /* タブレットやスマートフォン向けのレスポンシブ対応 */

    .hero-image {
        background-position: 65% 50%;
    }

    .footer-company{
        flex-direction: column;
    }

    .footer-logo{
        margin:auto;
        width: 90%;
        text-align: center;
    }

    .footer-logo img{
        width: 198px;
    }

    .footer-add {
        flex-direction: column;
    }

    .footer-add p:first-of-type:after {
        width: 100%;
        height: 1px;
        top: auto;
        bottom: -15px; /* Adjust based on the margin and height of the separator */
        right: 0;
    }

    .footer-nav ul{
        flex-direction: column;
    }

    .footer-nav ul li{
        font-size: 0.8em;
        margin: 10px;
        text-align: center;
    }

    .footer-nav ul li:last-child{
        border-left:none;
    }

}


/*********************/
/**    下層ページ    **/
/*********************/

/** 共通 **/

#lower-page-header{
    width: 100%;
    margin-top:80px;
    padding:30px 0;
    position: relative;
}

.lower-page-txt{
    color:var(--parts-color);
    position: relative;
    z-index: 9;
}

.en-title{
    width: 100%;
    margin:0 auto 10px auto;
    display:block;
    text-align: center;
}

.jp-title{
    width: 100%;
    font-size:0.5em;
    display:block;
    text-align: center;
}

/** 会社案内/ごあいさつ **/

.section-header{
    width: 100%;
    text-align: center;
    margin-bottom:50px;
}


.company-head-img{
    background-image: url(../exkaito/assets/img/company/company-header-img.jpg);
    background-size: cover;
    background-position: center;
}

#greeting{
    width: 100%;
    padding:100px 0;
    position:relative;
    box-sizing: border-box;
}

.greeting-img{
    position:absolute;
    max-width: 980px;
    width: 100%;
}

.greeting-wrapper{
    max-width:1280px;
    width:100%;
    margin-right:0;
    margin-left:auto;
    box-sizing: border-box;
    padding:100px 12% 100px;
    position: relative;
}

.greeting-catch{
    width:420px;
    position: absolute;
    top:50px;
    left:-30%;
}

.greeting-catch h3{
    color:#fff;
    font-size:3em;
    background-color:var(--accent-color);
    line-height: 1.8;
    padding:0 15px;
    display: inline;
    box-decoration-break: clone;	
	-webkit-box-decoration-break: clone;
}

.greeting-txt h4{
    font-size:1.3em;
    margin-bottom:30px;
    display: flex;
    align-items: center;
}

.greeting-txt h4:before{
    border-top: 1px solid;
    content: "";
    width: 3em;
    margin-right: 1em;
}

.signature{
    width: 150px;
    margin:30px 15px 0 auto;
}

@media (max-width: 1580px) {

    .greeting-wrapper{
        max-width:1024px;
    }
    

}

@media (max-width: 1280px) {

    .greeting-catch {
        position: static;
        margin-bottom:30px;
    }

    .greeting-wrapper{
        width:100%;
        margin:auto;
    }

}

@media (max-width: 768px) {

    .greeting-wrapper{
        padding: 100px 12% 0;
    }

    .greeting-catch h3{
        color:#fff;
        font-size:2em;
    }
    
    .greeting-img{
        top:0px;
    }

}

@media (max-width: 428px) {

    .greeting-wrapper{
        padding:100px 5% 100px;
    }
    

}

/** 会社案内/会社概要 **/

#company-info{
    width: 100%;
}

.company-table {
    width: 100%;
    max-width: 980px;
    margin: auto;
    box-sizing: border-box;
}

.company-table table {
    border-collapse: collapse;
    width: 100%;
    margin: auto;
}

.company-table th, .company-table td {
    padding: 20px;
    box-sizing: border-box;
    line-height: 2;
    border-bottom: solid 1px #333;
    text-align: left;
}

.company-table th {
    width: 25%;
    white-space: nowrap;
}

.company-table td {
    width: 75%;
}

@media (max-width: 1280px) {
    .company-table {
        padding: 0 12%;
    }
}

@media (max-width: 768px) {
    .company-table table,
    .company-table tbody,
    .company-table tr {
        display: block;
        width: 100%;
    }

    .company-table th, .company-table td {
        display: block;
        width: 100%;
        font-size: 1em;
        padding: 10px 10px;
        text-align: left;
    }

    .company-table th {
        border-bottom: none;
        background-color: #f2f2f2;
        border-top: solid 1px #333;
    }

    .company-table td {
        border-bottom: none;
    }
}

@media (max-width: 428px) {
    .company-table {
        padding: 0 5%;
    }

    .company-table th, .company-table td {
        font-size: 3vw;
    }
}


/** 会社案内/アクセス **/

#access{
    width: 100%;
    padding-top:100px;
}

.access-info{
    width: 90%;
    max-width: 980px;
    margin: auto;
    box-sizing: border-box;
    padding:50px 0;
    line-height: 2;
    text-align: center;
}

.access-info p{
    margin-bottom:30px;
}

.google-map {
    position: relative;
    overflow: hidden;
    padding-top: 56.25%; /* 16:9のアスペクト比 */
  }
  
  .google-map iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  /* スマホ表示時の高さを調整 */
@media (max-width: 768px) {
    .google-map {
      padding-top: 75%; /* 縦がより高いアスペクト比（例えば4:3） */
    }
  }
  
  /* PC表示時のスタイル調整 */
  @media (min-width: 769px) {
    .google-map {
      padding-top: 25%; /* PCでの高さを狭くする */
    }
  }

/** 施工事例 **/

.works-head-img{
    background-image: url(../exkaito/assets/img/hero-pc-01.jpg);
    background-position: center;
    background-size: cover;
}

#works-gallery{
    padding:100px 0;
}

.works-copy{
    max-width: 980px;
    width: 100%;
    margin:auto;
    margin-bottom:100px;
    padding:0 5%;
    box-sizing: border-box;
}

ul.works-list{
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 980px;
    width: 90%;
    margin: auto;
    flex-wrap: wrap;
}

ul.works-list li{
    width: calc(100% / 3 - 25px);
    margin-bottom:50px;
    position: relative;
}

.works-title{
    position:absolute;
    bottom:-10px;
    left:-10px;
    color:#fff;
    background-color: #363636;
    padding:10px;
    border-left:solid 5px var(--accent-color);
    font-size:0.9em;
}

@media (max-width: 768px) {

    ul.works-list li{
        width: calc(100% / 2 - 10px);
        margin-bottom:50px;
    }

    .works-title{
        bottom:-20px;
        left:-10px;
        font-size:0.6em;
        padding:5px;
    }
    
    
  }


/** 事業内容 **/

#strength{
    width: 100%;
    position:relative;
    padding:100px 0; 
}

#strength:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 33.33%;
    height: 100%;
    background-color: #f0f0f0; /* 好みの背景色に変更 */
}

.strength-header{
    width: 100%;
    box-sizing: border-box;
    padding: 100px 5%;
    margin:0 auto 100px auto;
    position: relative;
    z-index: 1;

    text-align: center;
}

.strength-header img{
    max-width: 380px;
    margin:0 auto 30px auto;
}

.strength-header h1{
    display: block;
    width: 100%;
    max-width: 680px;
    margin:auto;
    font-size:2.5em;
    color:var(--accent-color)
}

.strength-wrapper,.strength-wrapper-r{
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1280px;
    width: 100%;
    margin:0 auto 100px auto;
    position: relative;
    z-index: 1;
}

.strength-txt,.strength-img{
    width:calc(100% / 2 - 20px);
}

.strength-txt{
    padding:0 5%;
    box-sizing: border-box;
}

.strength-num{
    color:var(--accent-color);
    margin-bottom:10px;
    font-weight:900;
}

.strength-num span{
    font-size:3em;
}

.strength-txt h3{
    font-size:2.5em;
    margin-bottom:20px;
}

/** 採用ページ **/

.recruit-head-img{
    background-image: url(../exkaito/assets/img/recruit/recruit-header-img.jpg);
    background-size: cover;
    background-position: center;
}

.rec-hero{
    width: 100%;
    height:100vh;
    background: url(../exkaito/assets/img/recruit/recruit-img-01.webp);
    background-position: center;
    background-size: cover;
    position: relative;
}

.rec-hero-catch{
    position: absolute;
    width:50%;
    padding:10%;
    box-sizing: border-box;
    top: 50%;
    left: 20%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.rec-hero h1{
    font-size: 4em;
    color: var(--accent-color);
    padding:5px 20px;
    margin-bottom:5%;
}

.rec-hero p{
    color:var(--accent-color);
    font-weight:600;
}

.rec-content-wrapper-01,.rec-content-wrapper-02 {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    height: 100vh;
}

.rec-content-txt,.rec-content-img {
    width: 50%;
    position: relative;
    overflow: hidden;
}

.rec-red-bg{
    background-color: var(--accent-color);
    display: flex;
    align-items: center;
    justify-content: center;
    padding:10%;
    box-sizing: border-box;
}

.rec-red-bg h3 {
    font-size: 2em;
    color: var(--base-color);
    text-align: center;
    text-align: left;
}

.rec-red-bg p{
    color:var(--base-color);
}

.rec-img-01{
    background: url('../exkaito/assets/img/recruit/recruit-img-03.webp') no-repeat center center;
    background-size: cover;
}

.rec-img-02{
    background: url('../exkaito/assets/img/recruit/recruit-img-02.webp') no-repeat center center;
    background-size: cover;
}

.rec-img-03{
    background: url('../exkaito/assets/img/recruit/recruit-img-06.jpg') no-repeat center center;
    background-size: cover;
}

.qualification{
    padding:20px;
    box-sizing: border-box;
    font-size: 0.8em;
    color: var(--base-color);
    border:1px solid var(--base-color);
    line-height: 2;
    margin: 30px 0;
    font-weight: 600;
}

.occupation{
    padding:100px 10%;
    box-sizing: border-box;
    text-align: center;
}

.occupation-content{
    width: 100%;
    max-width: 680px;
    margin:50px auto;
}

h2.occupation-type{
    display: block;
    font-size:2em;
    font-weight: 900;
    position: relative;
    padding: .5rem 1rem;
    line-height: 2;
    background-color: #eee;
    border-bottom: 9px solid var(--accent-color);
    margin: 0;
}

.occupation-content p{
    margin:30px 0;
    font-weight: 600;
}

.occupation-content img{
    display: block;
}

table.work-location {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    font-size: 16px;
    text-align: left;
}

table.work-location th, table.work-location td {
    padding: 12px;
    border: 1px solid #ddd;
}

table.work-location th {
    background-color: #f4f4f4;
    font-weight: bold;
}


@media screen and (max-width: 1280px) {

    .rec-hero-catch{
        width:60%;
        top: 50%;
        left: 25%;
    }

    .rec-hero h1{
        font-size: 3em;
        padding: 0;
    }

}

@media screen and (max-width: 1024px) and (orientation: portrait) {

    .rec-hero{
        background: url(../exkaito/assets/img/recruit/recruit-img-01-sp.jpg);
        background-size: cover;
        background-position: center;
    }

    .rec-hero-catch{
        width:70%;
        top: 80%;
        left: 30%;
    }

    .rec-hero::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(255, 255, 255, 0.8); /* 白のオーバーレイ、透明度を調整 */
        z-index: 1;
    }

}

@media screen and (max-width: 768px) {

    .rec-hero-catch{
        width:100%;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }


    .rec-hero h1{
        font-size: 2.5em;
        padding: 0;
    }

    .rec-content-wrapper-01,.rec-content-wrapper-02 {
        height: auto;
        flex-wrap: nowrap;
    }

    .rec-content-wrapper-01 {
        flex-direction: column;
    }

    .rec-content-wrapper-02 {
        flex-direction: column-reverse;
    }
    
    .rec-content-img {
        width: 100%;
        height: 50vh;
    }

    .rec-content-txt {
        width: 100%;
        height: auto;
    }

    .rec-content h3 {
        font-size: 2.5em;
    }
}


@media (max-width: 768px) {

    .strength-wrapper{
        flex-direction: column-reverse;
    }

    .strength-wrapper-r{
        flex-direction: column;
    }

    .strength-wrapper,.strength-wrapper-r{
        padding: 0 12%;
        box-sizing: border-box;
    }

    .strength-txt,.strength-img{
        width:calc(100% - 20px);
    }
    
    table.work-location, table.work-location tbody, table.work-location tr, table.work-location th, table.work-location td {
        display: block;
        width: 100%;
    }

    table.work-location th{
        text-align: center;
    }

  }

  @media (max-width: 428px) {

    .strength-wrapper,.strength-wrapper-r{
        padding: 0 3%;
    }

    .strength-header h1{
        font-size:2em;
    }

    .strength-txt{
        margin-top:20px;
    }

    .strength-txt h3{
        font-size:1.8em;
    }

    .strength-num span{
        font-size:1.5em;
    }

}

/* ----------------------------------------
* contact page
---------------------------------------- */

#contact-form {
    padding: 50px 10px;
    box-sizing: border-box;
}

.contact-info{
    width: 100%;
    max-width: 780px;
    margin:0 auto 30px auto;
    text-align: center;
    font-size:.9em;
}

.table-res-form {
    width: 100%;
    max-width: 980px;
    margin: auto;
    background: #fff;
    border-collapse: collapse;
    box-sizing: border-box;
}

.table-res-form tr {
    border-top: 1px #DDD solid;

}

.table-res-form tr:first-child {
    border-top: none;
}

.table-res-form tr:nth-child(2n+1) {
    background: #eee;
}

.table-res-form th,
.table-res-form td {
    padding: 1.5em;
    text-align: left;
    box-sizing: border-box;
}

.table-res-form th {
    width: 30%;
    text-align: right;
}

.table-res-form .requied {
    font-size: 0.7em;
    color: #FFF;
    display: inline;
    padding: 3px;
    background: var(--accent-color);
    border-radius: 2px;
}

/* 入力欄スタイル */

.table-res-form input[type="text"],
input[type="email"],
textarea,
select {
    border: 1px #89BDDE solid;
    padding: 0.5em;
    border-radius: 5px;
    margin-bottom: 0.5em;
    box-sizing: border-box;
}

.table-res-form input[type="text"]:focus,
textarea:focus {
    background: #EEFFFF;
    box-shadow: 0 0 1px 0 rgba(0, 0, 0, 0.5);
}

.table-res-form input[type="submit"] {
    border: 1px #89BDDE solid;
    padding: 0.5em 4em;
    border-radius: 5px;
    background: #4C9ED9;
    color: #fff;
    box-shadow: 0 0 1px 0 rgba(0, 0, 0, 0.5);
    font-weight: bold;
}

.table-res-form input[type="submit"]:hover {
    background: #006599;
    box-shadow: none;
}

.contact--wrap {
    text-align: center;
}

.form-notice {
    font-size: 0.8rem;
}

.privacy_box {
    width: 100%;
    max-width: 980px;
    margin: auto;
    height: 200px;
    padding: 20px;
    text-align: left;
    background: #eee;
    overflow-y: scroll;
    border-radius: 3px;
    box-sizing: border-box;
}

.privacy-title {
    width: 100%;
    max-width: 980px;
    margin: auto;
    text-align: left;
    font-size: 16px;
    background: #222;
    padding: 0 10px;
    line-height: 2em;
    font-family: 'Noto Sans JP', sans-serif;
    font-weight: bold;
    color: #fff;
    margin-top: 20px;
    box-sizing: border-box;
}

.privacy-title2 {
    font-size: 16px;
    background: #222;
    padding: 5px 10px;
    line-height: 2em;
    font-family: 'Noto Sans JP', sans-serif;
    font-weight: bold;
    color: #fff;
    margin:15px 0;
    box-sizing: border-box;
}

.privacy_box p {
    font-size: 14px !important;
    letter-spacing: 0.05em !important;
    box-sizing: border-box;
}

.your-consent {
    margin-top: 20px;
    display: inline-block;
    width: 100%;
    text-align: center;
    font-weight: 600;
}

.form-submit {
    width: 150px;
    margin: auto;
    box-sizing: border-box;
}

.wpcf7-list-item [type="checkbox"] {
    display: inline-block;
    transform: scale(1.3);
}

.tel-contact {
    text-align: center;
    width: 80%;
    background: #fff;
    padding: 30px;
    margin: 50px auto;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    box-sizing: border-box;
}

.tel-contact li {
    width: 100%;
}

.tel-contact li p {
    margin: auto;
}

p.tel-contact-find {
    font-size: 1.5rem;
    font-weight: 700;
}

p.tel-number {
    font-size: 2.5rem;
    font-weight: 700;
    line-height: 1.5;
    color: var(--accent-color);
}

p.reception-time {
    font-size: 1.2rem;
    font-weight: 700;
}

.form-footer{
    width: 100%;
    max-width: 780px;
    margin:30px auto;
    text-align: center;
}

/* Contact Form 7の送信ボタンにスタイルを適用 */
.wpcf7 input[type="submit"].form-submit {
    border: none;
    display: inline-block;
    text-align: center;
    cursor: pointer;
    text-transform: uppercase;
    outline: none;
    overflow: hidden;
    position: relative;
    color: #fff !important;
    font-weight: 700;
    font-size: 15px;
    background-color: #222;
    padding: 17px 30px;
    margin: 0 auto;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.20);
}


/* スマホサイズ以下では全ての入力フィールドを幅100%にする */
@media (max-width: 768px) {
    .table-res-form {
        display: block;
        width: 100%;
    }

    .table-res-form tbody{
        display: block;
        width: 100%;
    }

    .table-res-form tr,
    .table-res-form th,
    .table-res-form td {
        display: block;
        width: 100%;
    }

    .table-res-form th,
    .table-res-form td {
        text-align: left;
        padding: 0.5em;
    }

    .table-res-form th {
        margin-top: 1em;
    }

    .table-res-form tr {
        display: block;
        margin-bottom: 1em;
    }

    .table-res-form input[type="text"],
    input[type="email"],
    textarea,
    select {
        width: 100%;
    }
}

/* PC表示時の入力フィールドの幅を調整 */
.table-res-form input[type="text"].short,
input[type="email"].short,
textarea.short,
select.short {
    width: calc(50% - 1em); /* 調整幅 */
}

.table-res-form input[type="text"].medium,
input[type="email"].medium,
textarea.medium,
select.medium {
    width: calc(70% - 1em); /* 調整幅 */
}

.table-res-form input[type="text"].long,
input[type="email"].long,
textarea.long,
select.long {
    width: calc(90% - 1em); /* 調整幅 */
}
